unit uPluginRecibosProveedor;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCRecibosProveedor = interface(IInterface)
  ['{24A23E95-D148-404C-9987-B1ED4A19D3CA}']
  end;

  TPluginRecibosProveedor = class(TModuleController, IMCRecibosProveedor)
    actRecibosProveedor: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Compras1: TMenuItem;
    RecibosdeProveedor1: TMenuItem;
    procedure actRecibosProveedorExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uRecibosProveedorController, uBizRecibosProveedor, uRecibosProveedorViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginRecibosProveedor.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginRecibosProveedor.actRecibosProveedorExecute(Sender: TObject);
var
  ARecibosProveedorController : IRecibosProveedorController;
  ARecibosProveedor : IBizRecibosProveedor;

begin
  ARecibosProveedorController := TRecibosProveedorController.Create;
  ARecibosProveedor := (ARecibosProveedorController.BuscarTodos as IBizRecibosProveedor);
  ARecibosProveedorController.VerTodos(ARecibosProveedor);
end;

constructor TPluginRecibosProveedor.Create(AOwner: TComponent);
begin
  inherited;
  uRecibosProveedorViewRegister.RegisterViews;
end;

destructor TPluginRecibosProveedor.Destroy;
begin
  uRecibosProveedorViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginRecibosProveedor);

finalization
  UnRegisterModuleClass(TPluginRecibosProveedor);

end.
